@echo off
cls

echo Thank You for using Ship Patcher,the fastest
echo way to input new ships.  Press any key to 
echo patch your Ship.

pause

if not exist DESCENT.PIG goto error1
if not exist DTXPATCH.EXE goto error2
if not exist pluton.DTX goto error3

echo Ship Patcher is making sure that no other modifications
echo have been made to descent.pig...

copy descent.pi~ descent.pig /y

dtxpatch descent.pig pluton.dtx

echo All done!  Enjoy the new stuff!

goto end

:error1
echo descent.pig could not be located.
echo Please make sure that it is in the current
echo directory.
goto end

:error2
echo dtxpatch.exe could not be located.
echo Please make sure that it is in the current
echo directory.
goto end

:error3
echo pluton.dtx could not be located.
echo Please make sure that it is in the current
echo directory.
goto end

:end




